Subject: [bug#54796] [PATCH v3 22/22] build-system: Add 'rebar3-build-system'.

From: Maxime Devos <[email-masked]>
Date: Sat, 09 Apr 2022 19:57:38 +0200

Hartmut Goebel schreef op za 09-04-2022 om 18:28 [+0200]:
> Am 09.04.22 um 15:19 schrieb Maxime Devos:
> > (standard-packages) needs to be in 'build-inputs', at least according
> > to 'lower' in (guix build-system gnu).
> 
> Build-systems are inconsistent here: texlive, ruby, python have them in 
> host-inputs. gnu, cmake, qt have them in build-inputs. Seems like thus 
> generating platform independent code tend to have it in host,

ruby and python are, from Guix POV, not platform-independent code, as
they may have baked-in references to platform-specific binaries.
Their build systems don't support cross-compilation yet though ...

>  the others 
> in build.
> 
> Can you elaborate the criteria which to choose? (I also just created 
> https://issues.guix.gnu.org/54820 for this)

Always build-inputs -- some of the not-yet-cross-compiling build
systems do it different, but maybe they will gain cross-compilation
someday, and to do that, (standard-packages) needs to be in the right
place!  I've added some info to <https://issues.guix.gnu.org/54820>.

Greetings,
Maxime.